summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorRoss Brattain <ross.b.brattain@intel.com>2018-04-19 13:58:26 -0700
committerRoss Brattain <ross.b.brattain@intel.com>2018-04-22 23:14:17 -0700
commit74e4fccdd6d69e352e75279b5f8f757323af8047 (patch)
tree5977c52b608c75d699309eb172bfe1c96d5e15ab
parent7262ad1b008f74b51460ce07986458ca3bfe8cc8 (diff)
extra loopback cleanup
try to cleanup in the shell script in case ansible errors maybe it is hopeless because of docker JIRA: YARDSTICK-1096 JIRA: YARDSTICK-1054 Change-Id: I759ded4731a7710a194a81530cfb35376eb7800d Signed-off-by: Ross Brattain <ross.b.brattain@intel.com>
-rw-r--r--ansible/build_yardstick_image.yml12
-rwxr-xr-xtests/ci/load_images.sh9
2 files changed, 15 insertions, 6 deletions
diff --git a/ansible/build_yardstick_image.yml b/ansible/build_yardstick_image.yml
index 429ab88aa..365f82371 100644
--- a/ansible/build_yardstick_image.yml
+++ b/ansible/build_yardstick_image.yml
@@ -75,12 +75,8 @@
ignore_errors: true
- name: Debug dump loop devices
- command: losetup
- register: losetup_output
-
- - debug:
- var: losetup_output
- verbosity: 2
+ command: losetup -a
+ ignore_errors: true
- name: delete loop devices for image file
# use this because kpartx -dv will fail if raw_imgfile was delete
@@ -89,6 +85,10 @@
shell: losetup -O NAME,BACK-FILE | grep "{{ raw_imgfile_basename }}" | awk '{ print $1 }' | xargs -l1 losetup -d
ignore_errors: true
+ - name: Debug dump loop devices again
+ command: losetup -a
+ ignore_errors: true
+
- name: delete {{ raw_imgfile }}
file:
path: "{{ raw_imgfile }}"
diff --git a/tests/ci/load_images.sh b/tests/ci/load_images.sh
index 818adcaf6..1e1591ce3 100755
--- a/tests/ci/load_images.sh
+++ b/tests/ci/load_images.sh
@@ -43,6 +43,12 @@ if [ "${YARD_IMG_ARCH}" == "arm64" ]; then
fi
fi
+cleanup_loopbacks() {
+ # try again to cleanup loopbacks in case of error
+ losetup -a
+ losetup -O NAME,BACK-FILE | awk '/yardstick/ { print $1 }' | xargs -l1 losetup -v -d || true
+}
+
build_yardstick_image()
{
echo
@@ -56,6 +62,7 @@ build_yardstick_image()
# Build the image. Retry once if the build fails
$cmd || $cmd
+ cleanup_loopbacks
if [ ! -f "${RAW_IMAGE}" ]; then
echo "Failed building RAW image"
exit 1
@@ -70,6 +77,7 @@ build_yardstick_image()
-e YARD_IMG_ARCH=${YARD_IMG_ARCH} \
-vvv -i inventory.ini build_yardstick_image.yml
+ cleanup_loopbacks
if [ ! -f "${QCOW_IMAGE}" ]; then
echo "Failed building QCOW image"
exit 1
@@ -82,6 +90,7 @@ build_yardstick_image()
-e img_property="nsb" \
-e YARD_IMG_ARCH=${YARD_IMG_ARCH} \
-vvv -i inventory.ini build_yardstick_image.yml
+ cleanup_loopbacks
if [ ! -f "${QCOW_NSB_IMAGE}" ]; then
echo "Failed building QCOW NSB image"
exit 1